Bug 240300 - Unable to ask the MTU for an Interface through DHCP Protocol
Unable to ask the MTU for an Interface through DHCP Protocol
Product: Fedora
Classification: Fedora
Component: libdhcp (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: David Cantrell
Depends On:
  Show dependency treegraph
Reported: 2007-05-16 08:47 EDT by Olivier BONHOMME
Modified: 2008-05-06 15:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:36:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Olivier BONHOMME 2007-05-16 08:47:35 EDT
Description of problem:

It is impossible to set the MTU value on a network interface using the dhcp
client embedded in the libdhcp4client. It is not possible to use the option
interface-mtu available in dhcpd server which allows to set the MTU value for an
interface which gets it network configuration through the DHCP protocol.

Version-Release number of selected component (if applicable): Detected on Fedora
Core 6

How reproducible:

Try to make a Fedora Installation with the anaconda installer doing it using
PXEBOOT.The IP adress used to make the netinstall is get with DHCP.

Steps to Reproduce:
1. Set the option interface-mtu to a value different of 1500 on the DHCPD server
2. Launch a PXE installation
3. Launch the ifconfig command when a shell is available and look at the MTU value
Actual results:

The MTU value is 1500

Expected results:

The MTU value should be set with the value entered in the dhcpd server with the
parameter option interface-mtu

Additional info: N/A
Comment 1 David Cantrell 2007-08-14 17:36:02 EDT
libdhcp needs to specifically request this option and handle it.  Reassigning
component.  This change shouldn't be too difficult.
Comment 2 Bug Zapper 2008-04-04 03:15:18 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 15:36:13 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.